package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Claw;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy{
    public Dragon(String name, int hp, int mp, Weapon weapon, int xpReward) {
        super("Dragon", 150,50, new Claw(20,0), 200);
    }

    public Dragon() {
        super("Dragon", 150,50, new Claw(20,0), 200);
    }

    @Override
    public void attack(Entity target){
        int damage = weapon.getDamage()+15;
        target.takeDamage(damage);
        System.out.println("\u001B[31m Dragon  attacked for " +  damage + " damage!\u001B[0m");
    }

    @Override
    public void specialAbility(Entity target) {
        System.out.println("\u001B[31m Dragon BREATHES FIRE! 35 damage! \u001B[0m");
        target.takeDamage(35);
    }

    @Override
    public String geTKeyType() {
        return null;
    }
}
